alter session set current_schema = miscatalog;

-- Insert into MED_SERVICE (SRV_ID,NAME,TITLE,GROUP_SLUG,GROUP_NAME,IMP_TECH_URI,SOURCE_URI,HOSTNAME,PORT,CTX_ROOT_URI,SDK_DOC_URI,API_DOC_URI,VISIBILITY,TYPE,LIFECYCLE,DISCUSSION_CHL_URI,TAGS,DOC_MD_B64,DOC_MD_FILE_NAME,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','Service Component for managing service configurations','serviceconfigurations','kadalog_grp','type: nodejs;version:>10.0.0;isContainerized:true','repo_type:gitlab;repo_tech:git;repo_url:git@gitlab.com:openfintechlab/medulla/libraries/serviceconfigurationmanager.git;repo_branch:master','http://serviceconfigurationmanager',3015,'/serviceconfigurationmanager','/help/_docs/','/help/_docs/','public','business','dev','type:slack;url:kadal0g','#medulla,#service-component#kadal0g','YXNkZmFzZGZhc2RmYXNkZg==','test.md',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- 
-- 
-- Insert into MED_SERVICE_VERSIONS (VERSION_ID,SRV_ID,DESCRIPTION,CONTAINER_REG_URI,CONTAINER_REG_SECID,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','Alpha service vesion for service configuration management service component','registry.gitlab.com/openfintechlab/medulla/libraries/serviceconfigurationmanager:master',null,CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- 
-- 
-- Insert into med_service_endpoints (VERSION_ID,SRV_ID,ENDPOINT_ID,ENDPOINT_URI,HTTP_METHOD,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','e5820ee4-b495-4c4c-a816-def2b4f913e5','/','GET',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- Insert into med_service_endpoints (VERSION_ID,SRV_ID,ENDPOINT_ID,ENDPOINT_URI,HTTP_METHOD,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','35f60795-4b04-4908-b26e-329867baba96','/slim','GET',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- Insert into med_service_endpoints (VERSION_ID,SRV_ID,ENDPOINT_ID,ENDPOINT_URI,HTTP_METHOD,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','1925eddb-60cc-4539-8628-a2b9bdda9ebb','/','PUT',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- Insert into med_service_endpoints (VERSION_ID,SRV_ID,ENDPOINT_ID,ENDPOINT_URI,HTTP_METHOD,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','20be24b5-0fe1-420f-a77a-deb2283ac107','/','POST',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);
-- Insert into med_service_endpoints (VERSION_ID,SRV_ID,ENDPOINT_ID,ENDPOINT_URI,HTTP_METHOD,CREATED_ON,UPDATED_ON,CREATED_BY,UPDATED_BY,LAST_OPS_ID) values ('v1.0.0PreAlpha','f96b6f19-19f6-4744-87ba-bf60eb1e7669','0dff3155-a2bd-4755-a931-2de0aefa78e4','/','DELETE',CURRENT_TIMESTAMP,CURRENT_TIMESTAMP,'SYSTEM','SYSTEM',null);


Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','client_id','Keyclaok client_id','med-console-app','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','grant_type','Keyclaok grant type','password','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','client_secret','Keyclaok clients secret','ca69a3fc-db6d-403b-a3cf-4a4c5030900d','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','keycloak.login.scope','Keyclaok scope','openid','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','keycloak.login.url','Keycloak login URL','http://keycloak:32023/auth/realms/medulla-console/protocol/openid-connect/token','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','keycloak.login.timeout','Keycloak login Timeout values in milliseconds','5000','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','NODE_ENV','Node Environment','Production','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_NODE_ENV','Node logging mode','info','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_PORT','Service Component Port','3000','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_CONTEXT_ROOT','Context Root Of the solution','/usermanagement','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_SRV_TIMEOUT','Service timeout value','30','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_CFGPOOLINT','Configuration loading pooling interval','10','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_SRVCONFIG_URI','Service Configuration URI','http://configmanager:3006/configmanager/config/','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_TYPE','Database Type','ORA','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_USER','Database Username','miscatalog','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_PASS','Database Password','m!sc@tal0g','SECRET','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_CONNSTR','Database Connection String','oracle-db.medulla.svc.cluster.local:49161/XE','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_MAXPOOL','Maximum Pool Connection','10','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_MINPOOL','Maximum Pool Connection','3','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
Insert into MED_SERVICE_CONFIG (SERVICE_ID,SERVICE_NAME,VERSION_ID,CONFIG_KEY,CONFIG_KEY_DESC,CONFIG_VALUE,CONFIG_TYPE,CONFIG_HASH,CREATED_ON,UPDATED_ON,CREATED_BY) values ('f96b6f19-19f6-4744-87ba-bf60eb1e7669','serviceconfigurationmanager','v1.0.0PreAlpha','OFL_MED_DB_POOLINC','Maximum Pool Connection','1','GENERAL','9F86D081884C7D659A2FEAA0C55AD015A3BF4F1B2B0B822CD15D6C15B0F00A08',to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),to_timestamp_tz('19-DEC-20 09.04.40.773797000 AM GMT','DD-MON-RR HH.MI.SSXFF AM TZR'),'SYSTEM');
EXIT;